Index: COPYING
===================================================================
--- COPYING	(revision 09f3093f1ff5e0b2766bed869fb54bcbd95c780d)
+++ COPYING	(revision 09f3093f1ff5e0b2766bed869fb54bcbd95c780d)
@@ -0,0 +1,39 @@
+*****************************************************************************
+                  Copyright (C) 2015, UChicago Argonne, LLC
+                             All Rights Reserved
+                           memlog (ANL-SF-15-081)
+                   Hal Finkel, Argonne National Laboratory
+
+                             OPEN SOURCE LICENSE
+
+Under the terms of Contract No. DE-AC02-06CH11357 with UChicago Argonne, LLC,
+the U.S. Government retains certain rights in this software.
+
+Redistribution and use in source and binary forms, with or without
+modification, are permitted provided that the following conditions are met:
+
+1. Redistributions of source code must retain the above copyright notice, this
+   list of conditions and the following disclaimer.
+
+2. Redistributions in binary form must reproduce the above copyright notice,
+   this list of conditions and the following disclaimer in the documentation
+   and/or other materials provided with the distribution.
+
+3. Neither the names of UChicago Argonne, LLC or the Department of Energy nor
+   the names of its contributors may be used to endorse or promote products
+   derived from this software without specific prior written permission. 
+ 
+*****************************************************************************
+                                 DISCLAIMER
+
+THE SOFTWARE IS SUPPLIED “AS IS” WITHOUT WARRANTY OF ANY KIND.
+
+NEITHER THE UNTED STATES GOVERNMENT, NOR THE UNITED STATES DEPARTMENT OF
+ENERGY, NOR UCHICAGO ARGONNE, LLC, NOR ANY OF THEIR EMPLOYEES, MAKES ANY
+WARRANTY, EXPRESS OR IMPLIED, OR ASSUMES ANY LEGAL LIABILITY OR RESPONSIBILITY
+FOR THE ACCURACY, COMPLETENESS, OR USEFULNESS OF ANY INFORMATION, DATA,
+APPARATUS, PRODUCT, OR PROCESS DISCLOSED, OR REPRESENTS THAT ITS USE WOULD NOT
+INFRINGE PRIVATELY OWNED RIGHTS.
+
+*****************************************************************************
+
Index: memlog.cpp
===================================================================
--- memlog.cpp	(revision 4c51931dcde81f10517d3be82d220ed160718ca3)
+++ memlog.cpp	(revision 2d9e75dc909b47f1f3e2e8170e5720df03470d62)
@@ -1,2 +1,41 @@
+// *****************************************************************************
+//                   Copyright (C) 2015, UChicago Argonne, LLC
+//                              All Rights Reserved
+//                            memlog (ANL-SF-15-081)
+//                    Hal Finkel, Argonne National Laboratory
+// 
+//                              OPEN SOURCE LICENSE
+// 
+// Under the terms of Contract No. DE-AC02-06CH11357 with UChicago Argonne, LLC,
+// the U.S. Government retains certain rights in this software.
+// 
+// Redistribution and use in source and binary forms, with or without
+// modification, are permitted provided that the following conditions are met:
+// 
+// 1. Redistributions of source code must retain the above copyright notice, this
+//    list of conditions and the following disclaimer.
+// 
+// 2. Redistributions in binary form must reproduce the above copyright notice,
+//    this list of conditions and the following disclaimer in the documentation
+//    and/or other materials provided with the distribution.
+// 
+// 3. Neither the names of UChicago Argonne, LLC or the Department of Energy nor
+//    the names of its contributors may be used to endorse or promote products
+//    derived from this software without specific prior written permission. 
+//  
+// *****************************************************************************
+//                                  DISCLAIMER
+// 
+// THE SOFTWARE IS SUPPLIED “AS IS” WITHOUT WARRANTY OF ANY KIND.
+// 
+// NEITHER THE UNTED STATES GOVERNMENT, NOR THE UNITED STATES DEPARTMENT OF
+// ENERGY, NOR UCHICAGO ARGONNE, LLC, NOR ANY OF THEIR EMPLOYEES, MAKES ANY
+// WARRANTY, EXPRESS OR IMPLIED, OR ASSUMES ANY LEGAL LIABILITY OR RESPONSIBILITY
+// FOR THE ACCURACY, COMPLETENESS, OR USEFULNESS OF ANY INFORMATION, DATA,
+// APPARATUS, PRODUCT, OR PROCESS DISCLOSED, OR REPRESENTS THAT ITS USE WOULD NOT
+// INFRINGE PRIVATELY OWNED RIGHTS.
+// 
+// *****************************************************************************
+
 #ifndef _GNU_SOURCE
 #define _GNU_SOURCE
Index: memlog_analyze
===================================================================
--- memlog_analyze	(revision 21d3542f78e3142d061b6b79565ed7ac0b2abbcf)
+++ memlog_analyze	(revision 2d9e75dc909b47f1f3e2e8170e5720df03470d62)
@@ -1,3 +1,43 @@
 #! /usr/bin/env perl
+
+# *****************************************************************************
+#                   Copyright (C) 2015, UChicago Argonne, LLC
+#                              All Rights Reserved
+#                            memlog (ANL-SF-15-081)
+#                    Hal Finkel, Argonne National Laboratory
+# 
+#                              OPEN SOURCE LICENSE
+# 
+# Under the terms of Contract No. DE-AC02-06CH11357 with UChicago Argonne, LLC,
+# the U.S. Government retains certain rights in this software.
+# 
+# Redistribution and use in source and binary forms, with or without
+# modification, are permitted provided that the following conditions are met:
+# 
+# 1. Redistributions of source code must retain the above copyright notice, this
+#    list of conditions and the following disclaimer.
+# 
+# 2. Redistributions in binary form must reproduce the above copyright notice,
+#    this list of conditions and the following disclaimer in the documentation
+#    and/or other materials provided with the distribution.
+# 
+# 3. Neither the names of UChicago Argonne, LLC or the Department of Energy nor
+#    the names of its contributors may be used to endorse or promote products
+#    derived from this software without specific prior written permission. 
+#  
+# *****************************************************************************
+#                                  DISCLAIMER
+# 
+# THE SOFTWARE IS SUPPLIED “AS IS” WITHOUT WARRANTY OF ANY KIND.
+# 
+# NEITHER THE UNTED STATES GOVERNMENT, NOR THE UNITED STATES DEPARTMENT OF
+# ENERGY, NOR UCHICAGO ARGONNE, LLC, NOR ANY OF THEIR EMPLOYEES, MAKES ANY
+# WARRANTY, EXPRESS OR IMPLIED, OR ASSUMES ANY LEGAL LIABILITY OR RESPONSIBILITY
+# FOR THE ACCURACY, COMPLETENESS, OR USEFULNESS OF ANY INFORMATION, DATA,
+# APPARATUS, PRODUCT, OR PROCESS DISCLOSED, OR REPRESENTS THAT ITS USE WOULD NOT
+# INFRINGE PRIVATELY OWNED RIGHTS.
+# 
+# *****************************************************************************
+
 use strict;
 use File::Basename;
